package _VisualDVM.Visual.Menus.ProjectMenuBar;
import Common.MainModule_;
import Common.Utils.Utils_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Menus.VisualiserMenu;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.ProjectData.ProjectView;

import javax.swing.*;
import java.util.LinkedHashMap;
public class ProjectViewMenu extends VisualiserMenu {
    LinkedHashMap<ProjectView, JMenuItem> views;
    public ProjectViewMenu() {
        super("", "");
        views = new LinkedHashMap<>();
        for (ProjectView view : ProjectView.values()) {
            JMenuItem m = new JMenuItem(view.getDescription()) {
                {
                    setIcon(Utils_.getIcon(view.getIcon()));
                    setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.TreeItalic));
                    addActionListener(e -> {
                        Global.mainModule.set(Current.ProjectView, view);
                        Global.mainModule.getUI().getMainWindow().getProjectWindow().ShowProjectView();
                    });
                }
            };
            add(m);
            views.put(view, m);
        }
    }
    public void SelectView(ProjectView view) {
        views.get(view).doClick();
    }
}
